# Get device backup

> Fleets API · Devices

```http
GET https://app.mk.io/api/v1/projects/{project_name}/fleet/backups/{backup_id}/config
```

Retrieve a specific backup config by id.

RBAC Capability Required: `fleet.device.get`

## Authentication

- `Authorization` header — Bearer authentication of the form `Bearer <token>`.

## Path parameters

| Name           | Type   | Required | Description            |
|----------------|--------|----------|------------------------|
| `project_name` | string | Yes      | —                      |
| `backup_id`    | string | Yes      | _format: uuid_         |

## Example request

```bash
curl -X GET "https://app.mk.io/api/v1/projects/{project_name}/fleet/backups/{backup_id}/config" \
  -H "Authorization: Bearer <token>"
```

## Responses

### 200 — The device backup entry.

No response body.

### 400 — Bad Request

- `error` · object · **Required** — Pertinent information about the error  
  - `code` · string · **Required** — The error code.  
  - `detail` · string · **Required** — The error message.  
  - `extraDetail` · map from strings to any · Optional — Extra information regarding this error.  
    - `[any key]` · any — map of additional properties  
- `ref` · string · **Required** — A reference to the request that caused the error.  
- `status` · integer · **Required** — The HTTP status code

Example:

```json
{
  "error": {
    "code": "string",
    "detail": "string",
    "extraDetail": {
      "key": null
    }
  },
  "ref": "string",
  "status": 0
}
```

### 401 — Unauthorized

Example:

```json
{
  "error": {
    "code": "string",
    "detail": "string",
    "extraDetail": {
      "key": null
    }
  },
  "ref": "string",
  "status": 0
}
```

### 403 — Forbidden

Example:

```json
{
  "error": {
    "code": "string",
    "detail": "string",
    "extraDetail": {
      "key": null
    }
  },
  "ref": "string",
  "status": 0
}
```

### 404 — Not Found

Example:

```json
{
  "error": {
    "code": "string",
    "detail": "string",
    "extraDetail": {
      "key": null
    }
  },
  "ref": "string",
  "status": 0
}
```

### 409 — Conflict

Example:

```json
{
  "error": {
    "code": "string",
    "detail": "string",
    "extraDetail": {
      "key": null
    }
  },
  "ref": "string",
  "status": 0
}
```

### 429 — Too Many Requests

Example:

```json
{
  "error": {
    "code": "string",
    "detail": "string",
    "extraDetail": {
      "key": null
    }
  },
  "ref": "string",
  "status": 0
}
```

### 500 — Internal Server Error

Example:

```json
{
  "error": {
    "code": "string",
    "detail": "string",
    "extraDetail": {
      "key": null
    }
  },
  "ref": "string",
  "status": 0
}
```

---

Source spec: `fleets-api` · operationId: `[get]_/api/v1/projects/{project_name}/fleet/backups/{backup_id}/config`
